列出现有同步模板
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
列出与给定应用程序或服务主体关联的同步模板。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Directory.Read.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
Application.ReadWrite.OwnedBy、Directory.ReadWrite.All
HTTP 请求
GET servicePrincipals/{id}/synchronization/templates
GET applications/{id}/synchronization/templates
名称
类型
说明
Authorization
string
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 synchronizationTemplate 对象集合。
示例
请求
请求示例如下所示。
GET https://graph.microsoft.com/beta/servicePrincipals/{id}/synchronization/templates
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var templates = await graphClient.ServicePrincipals["{servicePrincipal-id}"].Synchronization.Templates
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let templates = await client.api('/servicePrincipals/{id}/synchronization/templates')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/servicePrincipals/{id}/synchronization/templates"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphSynchronizationTemplate *synchronizationTemplate = [[MSGraphSynchronizationTemplate alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
SynchronizationTemplateCollectionPage templates = graphClient.servicePrincipals("{id}").synchronization().templates()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
servicePrincipalId := "servicePrincipal-id"
result, err := graphClient.ServicePrincipalsById(&servicePrincipalId).Synchronization().Templates().Get()
Import-Module Microsoft.Graph.Applications
Get-MgServicePrincipalSynchronizationTemplate -ServicePrincipalId $servicePrincipalId
响应
响应示例如下所示。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。 在实际调用中将返回所有属性。
HTTP/1.1 200 OK
{
"value": [
{
"id": "Slack",
"factoryTag": "CustomSCIM",
"schema": {
"directories": [],
"synchronizationRules": []
}
}
]
}